# ExtendedGroupChat - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.abstracts.extended / ExtendedGroupChat

# ExtendedGroupChat

(common) `interface ExtendedGroupChat : GroupChat, ExtendedPublicChat` (source)

### Properties

(common)

#### permissions

`abstract val permissions: ChatPermissions`

### Inheritors

(common)

#### ExtendedGroupChatImpl

`data class ExtendedGroupChatImpl : ExtendedGroupChat`

(common)

#### ExtendedSupergroupChat

`interface ExtendedSupergroupChat : SupergroupChat, ExtendedGroupChat`